Mail archive
alpine-aports

Re: [alpine-aports] [PATCH v3 09/10] main/py-six: adopt

From: Natanael Copa <ncopa_at_alpinelinux.org>
Date: Thu, 4 Apr 2019 13:55:40 +0200

On Wed, 3 Apr 2019 16:16:41 -0400
Drew DeVault <sir_at_cmpwn.com> wrote:

> ---
> main/py-six/APKBUILD | 20 ++++++++++++--------
> 1 file changed, 12 insertions(+), 8 deletions(-)
>
> diff --git a/main/py-six/APKBUILD b/main/py-six/APKBUILD
> index 1c9b5d097d..d154f0182b 100644
> --- a/main/py-six/APKBUILD
> +++ b/main/py-six/APKBUILD
> _at_@ -1,19 +1,22 @@
> -# Contributor:
> -# Maintainer:
> +# Maintainer: Drew DeVault <sir_at_cmpwn.com>
> pkgname=py-six
> _pkgname=six
> pkgver=1.12.0
> -pkgrel=0
> +pkgrel=1
> pkgdesc="Python 2 and 3 compatibility library"
> url="https://pypi.python.org/pypi/six"
> arch="noarch"
> license="MIT"
> -depends=""
> -checkdepends="pytest"
> -makedepends="python2-dev python3-dev py-setuptools"
> +checkdepends="pytest py3-pytest"
> +makedepends="python2-dev python3-dev py2-setuptools py3-setuptools"

...

> _py2() {
> replaces="$pkgname"
> + depends="$depends py-enum34"

We need to add py-enum34 to makedepends, otherwise will build order be
broken. There is no way build order resolver can know that py-enum34 needs
to be built before py2-six is usable.

I can fix that.

Thanks!

> _py python2
> }
>



---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 04 2019 - 13:55:40 UTC